package hh.dejsem.net;

import java.util.Date;

public class USBBus {
	static class Const {
		static String PFX = "//";
	}

	static class Dgram {
		static Dgram dgram(int id) { return new Dgram(id); }
		String prefix = Const.PFX;
		long timeStamp = new Date().getTime();
		int id;
		Dgram(int id) { this.id = id; }
		public String toString() {
			return String.format("Dgram: %s %d %d", prefix, timeStamp, id);
		}
	}
}
